openSUSE 10 Security Update : libxml2 (libxml2-5981)

High Nessus Plugin ID 35699


The remote openSUSE host is missing a security update.


A previous security fix for libxml2 caused problems when processing large xml files. The patch has been reworked so processing of large files works again.


Update the affected libxml2 packages.

Plugin Details

Severity: High

ID: 35699

File Name: suse_libxml2-5981.nasl

Version: $Revision: 1.5 $

Type: local

Agent: unix

Published: 2009/02/17

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libxml2, p-cpe:/a:novell:opensuse:libxml2-32bit, p-cpe:/a:novell:opensuse:libxml2-devel, p-cpe:/a:novell:opensuse:libxml2-devel-32bit, cpe:/o:novell:opensuse:10.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2009/02/05